MAILSOUND(1)

NAME
Mailsound - Play sounds when mail arrives

SYNOPSIS
Mailsound [options]

DESCRIPTION
Mailsound is an rplay utility used to play sounds when mail arrives. Different sounds can be played depending on the contents of mail message headers. Mailsound configuration is stored in the file ~/.Mailsounds. Each line in this file contains a perl5 regular expression followed by rplay attributes. See the EXAMPLE section below.

Mailsound needs to be invoked upon mail arrival. This can be done in many ways, but most users will probably use either a .forward or .procmailrc file. With a .forward file, use something like:

    \yourusername, |"/usr/local/bin/Mailsound -h soundhostname"

For .procmailrc use:

    :0 ic
    | /usr/local/bin/Mailsound -h doctor:doit

OPTIONS

--host=hostname[:hostname ...]
    Play sounds on the specified host(s).

--file=filename
    Specify an alternate configuration file.

--volume=NUMBER
    Default volume for all sounds.

--priority=NUMBER
    Default priority for all sounds.

EXAMPLE
 ## Mailing lists
 ^(To|Cc):.*ding.*               sound=ding.au volume=50
 ^(To|Cc):.*xpilot.*             sound=wheres_the_kaboom.au
 ^(To|Cc):.*gopher.*             sound=monkey-3.au
 ^(To|Cc):.*fvwm.*               sound=ploop.au

 ^From root@?.*                  sound=bogus.au priority=255
 ^From news@?.*                  sound=beep.au

 ## Everything else...
 .*                              sound=Thank_you_very_much.au

FILES
~/.Mailsounds